<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net472</TargetFramework>
    <PlatformTarget>x64</PlatformTarget>
    <RootNamespace>CncRepository</RootNamespace>
    <AssemblyName>CncRepository</AssemblyName>
    <GenerateDocumentationFile>true</GenerateDocumentationFile>
    <GenerateAssemblyInfo>false</GenerateAssemblyInfo>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.NETFramework.ReferenceAssemblies.net472" Version="1.0.3" PrivateAssets="all" />
    <!-- ORM -->
    <PackageReference Include="Dapper" Version="2.1.35" />
    <!-- MariaDB驱动（非Oracle的MySql.Data） -->
    <PackageReference Include="MySqlConnector" Version="2.3.7" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\CncModels\CncModels.csproj" />
  </ItemGroup>

</Project>
